"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable max-classes-per-file */
const assert_1 = require("@aws-cdk/assert");
const aws_lambda_1 = require("aws-cdk-lib/aws-lambda");
const core_1 = require("aws-cdk-lib/core");
const __1 = require("..");
class TestStack extends core_1.Stack {
    constructor() {
        super();
        new __1.NodejsFunction(this, "testId", {
            entry: "./mocks/entry.ts",
            runtime: aws_lambda_1.Runtime.NODEJS_14_X, // Check with Node 14, as inline sources aren't allowed for this
        });
    }
}
it("returns a lambda with default code", () => {
    const stack = new TestStack();
    (0, assert_1.expect)(stack).to((0, assert_1.haveResourceLike)("AWS::Lambda::Function", {
        Code: {
            S3Bucket: "cdk-lambda-nodejs-mock-fake-bucket",
            S3Key: "cdk-lambda-nodejs-mock-fake-lambda.ts",
        },
        Handler: "index.handler",
        Runtime: "nodejs14.x",
    }));
});
it("works with two mocked lambdas (shows there are no hardcoded IDs)", () => {
    class TestStackTwoBuckets extends core_1.Stack {
        constructor() {
            super();
            new __1.NodejsFunction(this, "testId", {
                entry: "./mocks/entry.ts",
                runtime: aws_lambda_1.Runtime.NODEJS_14_X, // Check with Node 14, as inline sources aren't allowed for this
            });
            new __1.NodejsFunction(this, "testID2", {
                entry: "./mocks/entry.ts",
                runtime: aws_lambda_1.Runtime.NODEJS_14_X, // Check with Node 14, as inline sources aren't allowed for this
            });
        }
    }
    new TestStackTwoBuckets();
});
