"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("@aws-cdk/assert");
const core_1 = require("aws-cdk-lib/core");
const aws_lambda_nodejs_1 = require("aws-cdk-lib/aws-lambda-nodejs");
// eslint-disable-next-line global-require
jest.mock("aws-cdk-lib/aws-lambda-nodejs", () => require(".."));
class TestStack extends core_1.Stack {
    constructor() {
        super();
        new aws_lambda_nodejs_1.NodejsFunction(this, "testId", {
            entry: "./mocks/entry.ts",
        });
    }
}
it("returns a lambda with default code", () => {
    const stack = new TestStack();
    (0, assert_1.expect)(stack).to((0, assert_1.haveResourceLike)("AWS::Lambda::Function", {
        Code: {
            S3Bucket: "cdk-lambda-nodejs-mock-fake-bucket",
            S3Key: "cdk-lambda-nodejs-mock-fake-lambda.ts",
        },
        Handler: "index.handler",
        Runtime: "nodejs12.x",
    }));
});
